Grants, vesting & distributions
Get Grant Overview Card
Builds a grant overview with vested/settled progress, tabbed detail rows and live price when the token is live.
GEThttps://api.toku.com/tga/get-grant-overview-card
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/tga/get-grant-overview-card?grantID=%3CgrantID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"grantOverview": {
"title": "string",
"grantAssetType": "string",
"vestingCards": [
{
"title": "string",
"value": "string",
"color": "string",
"progress": 0,
"type": "label"
}
],
"tablist": [
{
"key": "grantDetails",
"tab": "Grant Details"
}
],
"tabs": {
"grantDetails": [
{
"title": "string",
"value": "string",
"toolTipContent": "string"
}
],
"vestingAndSettlementDetails": [
{
"title": "string",
"value": "string",
"toolTipContent": "string"
}
],
"taxInformation": [
{
"title": "string",
"value": "string",
"toolTipContent": "string"
}
]
}
},
"vestingPeriodType": "MONTHLY",
"tags": [
"string"
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
grantIDstringrequiredResponse
200Successful response
grantOverviewobjectrequiredShow child attributes
titlestringrequiredgrantAssetTypestringrequiredvestingCardsobject[]requiredShow child attributes
titlestringrequiredvaluestring | numberrequiredcolorstringprogressnumber | nulltypestringrequiredAvailable options: label, badge, progress
tablistobject[]requiredShow child attributes
keystringrequiredAvailable options: grantDetails, vestingAndSettlementDetails, taxInformation
tabstringrequiredAvailable options: Grant Details, Vesting And Settlement Details, Tax Information
tabsobjectrequiredShow child attributes
grantDetailsobject[]requiredShow child attributes
titlestringrequiredvaluestring | numberrequiredtoolTipContentstringvestingAndSettlementDetailsobject[]requiredShow child attributes
titlestringrequiredvaluestring | numberrequiredtoolTipContentstringtaxInformationobject[]requiredShow child attributes
titlestringrequiredvaluestring | numberrequiredtoolTipContentstringvestingPeriodTypestring | nullrequiredAvailable options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY, null
tagsstring[]required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits